Package org.opensaml.saml.saml2.core

# Interface Attribute

All Superinterfaces:
  `AttributeExtensibleXMLObject`, `SAMLObject`, `XMLObject`

All Known Subinterfaces:
  `RequestedAttribute`

All Known Implementing Classes:
  `AttributeImpl`, `RequestedAttributeImpl`

public interface Attribute extends SAMLObject, AttributeExtensibleXMLObject
SAML 2.0 Core Attribute.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`BASIC`
Basic attribute format ID.
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Local name of the Attribute element.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`FRIENDLY_NAME_ATTRIB_NAME`
Name of the FriendlyName attribute.
`static final String`
`NAME_ATTTRIB_NAME`
Name of the Name attribute.
`static final String`
`NAME_FORMAT_ATTRIB_NAME`
Name for the NameFormat attribute.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.
`static final String`
`UNSPECIFIED`
Unspecified attribute format ID.
`static final String`
`URI_REFERENCE`
URI reference attribute format ID.

## Method Summary

Modifier and Type
Method
Description
`List<XMLObject>`
`getAttributeValues()`
Gets the list of attribute values for this attribute.
`String`
`getFriendlyName()`
Get the friendly name of this attribute.
`String`
`getName()`
Get the name of this attribute.
`String`
`getNameFormat()`
Get the name format of this attribute.
`void`
`setFriendlyName(String friendlyName)`
Sets the friendly name of this attribute.
`void`
`setName(String name)`
Sets the name of this attribute.
`void`
`setNameFormat(String nameFormat)`
Sets the name format of this attribute.

### Methods inherited from interface org.opensaml.core.xml.AttributeExtensibleXMLObject

`getUnknownAttributes`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Local name of the Attribute element.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

### NAME_ATTTRIB_NAME

@Nonnull @NotEmpty static final String NAME_ATTTRIB_NAME
Name of the Name attribute.

See Also:
  - Constant Field Values

### NAME_FORMAT_ATTRIB_NAME

@Nonnull @NotEmpty static final String NAME_FORMAT_ATTRIB_NAME
Name for the NameFormat attribute.

See Also:
  - Constant Field Values

### FRIENDLY_NAME_ATTRIB_NAME

@Nonnull @NotEmpty static final String FRIENDLY_NAME_ATTRIB_NAME
Name of the FriendlyName attribute.

See Also:
  - Constant Field Values

### UNSPECIFIED

@Nonnull @NotEmpty static final String UNSPECIFIED
Unspecified attribute format ID.

See Also:
  - Constant Field Values

### URI_REFERENCE

@Nonnull @NotEmpty static final String URI_REFERENCE
URI reference attribute format ID.

See Also:
  - Constant Field Values

### BASIC

@Nonnull @NotEmpty static final String BASIC
Basic attribute format ID.

See Also:
  - Constant Field Values

## Method Details

### getName

@Nullable String getName()
Get the name of this attribute.

Returns:
  the name of this attribute

### setName

void setName(@Nullable String name)
Sets the name of this attribute.

Parameters:
  `name` - the name of this attribute

### getNameFormat

@Nullable String getNameFormat()
Get the name format of this attribute.

Returns:
  the name format of this attribute

### setNameFormat

void setNameFormat(@Nullable String nameFormat)
Sets the name format of this attribute.

Parameters:
  `nameFormat` - the name format of this attribute

### getFriendlyName

@Nullable String getFriendlyName()
Get the friendly name of this attribute.

Returns:
  the friendly name of this attribute

### setFriendlyName

void setFriendlyName(@Nullable String friendlyName)
Sets the friendly name of this attribute.

Parameters:
  `friendlyName` - the friendly name of this attribute

### getAttributeValues

@Nonnull @Live List<XMLObject> getAttributeValues()
Gets the list of attribute values for this attribute.

Returns:
  the list of attribute values for this attribute